Subject: Re: [PATCH 5/6] remote.c: introduce remote.pushdefault

From: Jonathan Nieder <[email-masked]>
Date: Wed, 20 Mar 2013 11:32:55 -0700

Ramkumar Ramachandra wrote:

> This new configuration variable defines the default remote to push to,
> and overrides `branch.<name>.remote` for all branches.

Micronit: I think this would be easier to explain if it came after
patch 6, since then you could say "In other words, it is a default for
branch.<name>.pushremote for all branches" and readers would not have
to wonder "Why does the more generic configuration override the more
specific one?".

My two cents,
Jonathan